class Condition

	def self.conditions
		conditions = []

		conditions << Condition.new(
			:name             => "Vicarious Story",
			:rules_text       => "Your character shares experiences with another character on an ongoing basis. This Condition is usually inflicted on someone for whom another person wants to watch a life event unfold, such as a marriage/divorce, a First Change, a pregnancy, or an Awakening.\n\nExperiences that are directly pertinent to the life event deliver sensory visions to the viewer. These visions might be shared dreams with the person being monitored, but might also be feeling a baby's first kick against the womb's walls or looking in a mirror and seeing a Wolf-Blood's teeth growing sharper. The exact nature of these details is up to Storyteller discretion, but pertinent details should not be withheld. Experiences that are not pertinent are completely omitted. Vicariously watching a person's Awakening skips scenes where the target spills coffee on their TPS reports.\n\nThese visions impose the Stunned Tilt on the one vicariously watching for a turn, but since these visions are so transient, it is not enough to interrupt a supernatural ritual or an extended action, but can be extremely inconvenient in time-sensitive circumstances such as combat. Since the effects of this Condition are partially detrimental, it does not count as \"beneficial\" for the purposes of spells that cause it; effectively, a spell that makes this Condition will get a Beat at its resolution.",
			:resolution       => "The life experience ends. The Awakening or First Change terminates. The child is born. The marital vows are complete or the divorce finalized.",
			:beat             => "The one vicariously viewing loses an action during combat or some similarly fast-paced situation.",
			:authors          => ["NEETzsche"]
			)


		conditions << Condition.new(
			:name             => "Arcane Trouble",
			:rules_text       => "When assigning this Condition, roll the spellcasting dicepool again. The number of successes + 1 will be referred to as SS. The Immediate Nimbus of the Mage becomes active for the entire duration of the Arcane Trouble Condition. The mage becomes a bright beacon for any mage with an Active Mage Sight, and Peripheral Mage Sight can sense the mage's presence by rolling Perception + SS.\n\nIf Death was used to cast the spell causing this Condition, the dead and Twilight reject the caster, making his every step very heavy, as if he was bound in a dense fog. The mage and everyone in the same scene subtracts SS from the dice pools of all action that have an impact on the Underworld and on ghosts or Twilight. In addition, any ghost can temporarily use the Mage as his Anchor.\n\nIf Fate was used to cast the spell causing this Condition, then once per scene, the Storyteller can give give SS as a penalty to any action near the mage. Also, once for the Condition duration, the Storyteller can turn any mage action into a dramatic failure. This dramatic failure cannot be used to cause another Arcane Trouble.\n\nIf Forces was used to cast the spell causing this Condition, then electronics go crazy around the mage. Subtract SS from the equipment bonuses of any equipment near the Mage, which includes most modern machines. If the equipment bonus is reduced to zero or less, the equipment refuses to work in the presence of the mage. In addition, if the Mage uses an electronic device, the Storyteller may roll Forces + Gnosis - Durability, where each success deals a point of damage to the object's Structure.\n\nIf Life was used to cast the spell causing this Condition, then the mage radiates an aura of weakness and vulnerability. The mage and everyone in the scene subtracts SS from all Strength, Dexterity, and Stamina rolls. Any attempts to poison or infect the mage receive a bonus equal to SS instead of the penalty listed.\n\nIf Matter was used to cast the spell causing this Condition, then objects become brittle and unreliable around the mage. The mage and everyone in the scene subtracts SS from the equipment bonuses of anything containing mechanical parts, including most modern machines and weapons like guns. If the equipment bonus is reduced to zero or less, the equipment refuses to work in the presence of the mage. In addition, the Storyteller may at any time roll Matter + Gnosis - Durability, where each success deals a point of damage to the object's Structure.\n\nIf Mind was used to cast the spell causing this Condition, then the mage radiates an aura of mental noise that interferes with concentration around him. The magician and everyone in the scene subtracts SS from all rolls that use Intelligence, Wits, or Resolve. Any attempt to confuse the mind of the mage or prevent his concentration will receive a bonus equal to SS instead of the penalty listed.\n\nIf Prime was used to cast the spell causing this Condition, then the Mage Sight of the mage is disrupted: instead of seeing Supernal Truths, it gives a meaningless stream of symbols. The mage and everyone in the same scene subtracts SS from attempts to use Mage Sight. They also receive the same penalty for any attempts to use the Practice of Knowing or Unveiling of any Arcana.\n\nIf Spirit was used to cast the spell causing this Condition, then the Gauntlet between the Shadow and the mortal world becomes especially thin around the magician, and this attracts the attention of the spirits. Any attempts by spirits to break through the Gauntlet or use Numina through the Gauntlet will receive a bonus equal to SS. Also, any place in which the mage is located receives an Open Condition for all spirits to use.\n\nIf Space was used to cast the spell causing this Condition, then strangely distort the space around the mage. The mage and everyone in the same scene deducts SS from any attempts to find something or get somewhere. Also, Storyteller can once per Condition duration strengthen or weaken any sympathetic mage connection Withstand by SS.\n\nIf Time was used to cast the spell causing this Condition, then make the sense of time jump strangely around the mage, making it difficult to coordinate any effort and not allowing people to concentrate. The mage and everyone in the same scene receive a penalty equal to SS for all extended actions, including ritual casting. Also, the mage subtracts SS from any successes gained in teamwork rolls.\n\nIf the spell that caused this Condition was conjunctional or combined, use the effects of all Arcana used for the spell. For example, if a spell used both Life and Spirit, then he would both attract the negative attention of spirits as described above <i>and</i> have the mentioned sense of illness and tiredness.",
			:possible_sources => "Dramatic failure on a spellcasting roll.",
			:resolution       => "Successfully cast a spell that uses all Arcana creating this Condition, after waiting one day or one chapter, whichever is longer.",
			:authors          => ["Dark Archon", "NEETzsche"]
			)

		conditions << Condition.new(
			:name             => "Abyssal Burn",
			:rules_text       => "The Abyss burns Mana from the character every time he invokes the energies of the Supernal. Any attempt to cast a spell burns an amount of Mana equal to the number of successes on the Paradox roll in excess of the successes the Wisdom roll to absorb it.",
			:possible_sources => "Successes on contained Paradox roll.",
			:resolution       => "Reduce one's Mana pool to zero.",
			:authors          => ["Dark Archon"]
			)

		conditions
	end
end